Chromium Code Reviews
Help | Chromium Project | Sign in
(5)

Issue 2828503002: CSS Motion Path: delete implementation of motion shorthand (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 4 days ago by Eric Willigers
Modified:
1 week, 3 days ago
CC:
darktears, apavlov+blink_chromium.org, blink-reviews, blink-reviews-css, blink-reviews-frames_chromium.org, blink-reviews-style_chromium.org, chromium-reviews, dglazkov+blink, rwlbuis
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

CSS Motion Path: delete implementation of motion shorthand The 'motion' shorthand is among the properties disabled in M58. Intent to remove: https://groups.google.com/a/chromium.org/forum/#!msg/blink-dev/o1C5NzGf9Q0/FgU5o52yBAAJ BUG=711937 Review-Url: https://codereview.chromium.org/2828503002 Cr-Commit-Position: refs/heads/master@{#465520} Committed: https://chromium.googlesource.com/chromium/src/+/e2d081bda60e36d5f51c270f809c896bbf473f72

Patch Set 1 #

Total comments: 2

Patch Set 2 : test update #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -167 lines) Patch
D third_party/WebKit/LayoutTests/css3/motion-path/combine-motion-translation-and-rotation.html View 1 chunk +0 lines, -19 lines 0 comments Download
D third_party/WebKit/LayoutTests/css3/motion-path/combine-motion-translation-and-rotation-expected.html View 1 chunk +0 lines, -18 lines 0 comments Download
D third_party/WebKit/LayoutTests/css3/motion-path/motion.html View 1 chunk +0 lines, -69 lines 0 comments Download
D third_party/WebKit/LayoutTests/css3/motion-path/motion-shorthand-deprecated.html View 1 chunk +0 lines, -7 lines 0 comments Download
D third_party/WebKit/LayoutTests/css3/motion-path/motion-shorthand-deprecated-expected.txt View 1 chunk +0 lines, -5 lines 0 comments Download
D third_party/WebKit/LayoutTests/css3/motion-path/use-count-motion.html View 1 chunk +0 lines, -26 lines 0 comments Download
M third_party/WebKit/LayoutTests/transforms/combine-transforms-properties-motion-path.html View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/virtual/stable/webexposed/css-properties-as-js-properties-expected.txt View 1 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/webexposed/css-properties-as-js-properties-expected.txt View 1 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/css/CSSProperties.json5 View 1 chunk +0 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/core/css/ComputedStyleCSSValueMapping.cpp View 1 chunk +0 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/core/css/StylePropertySerializer.cpp View 2 chunks +0 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp View 2 chunks +1 line, -5 lines 0 comments Download
M third_party/WebKit/Source/core/frame/Deprecation.cpp View 1 chunk +0 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/frame/UseCounter.cpp View 1 chunk +1 line, -2 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 28 (15 generated)
Eric Willigers
There hasn't been any last minute uptick in usage of the 5 properties we deprecated/removed, ...
1 week, 4 days ago (2017-04-18 11:35:48 UTC) #4
Bugs Nash
https://codereview.chromium.org/2828503002/diff/1/third_party/WebKit/LayoutTests/css3/motion-path/use-count-offset.html File third_party/WebKit/LayoutTests/css3/motion-path/use-count-offset.html (left): https://codereview.chromium.org/2828503002/diff/1/third_party/WebKit/LayoutTests/css3/motion-path/use-count-offset.html#oldcode12 third_party/WebKit/LayoutTests/css3/motion-path/use-count-offset.html:12: var CSSMotionInEffect = 1616; // From UseCounter.h CSSMotionInEffect hasn't ...
1 week, 3 days ago (2017-04-19 03:15:05 UTC) #7
Bugs Nash
On 2017/04/19 at 03:15:05, Bugs Nash wrote: > https://codereview.chromium.org/2828503002/diff/1/third_party/WebKit/LayoutTests/css3/motion-path/use-count-offset.html > File third_party/WebKit/LayoutTests/css3/motion-path/use-count-offset.html (left): > > ...
1 week, 3 days ago (2017-04-19 03:22:50 UTC) #8
Eric Willigers
On 2017/04/19 03:22:50, Bugs Nash wrote: > Should CSSPorpertyMotion be deleted from CSSPropertyNames.cpp too? CSSPropertyNames.cpp ...
1 week, 3 days ago (2017-04-19 03:50:52 UTC) #9
Eric Willigers
https://codereview.chromium.org/2828503002/diff/1/third_party/WebKit/LayoutTests/css3/motion-path/use-count-offset.html File third_party/WebKit/LayoutTests/css3/motion-path/use-count-offset.html (left): https://codereview.chromium.org/2828503002/diff/1/third_party/WebKit/LayoutTests/css3/motion-path/use-count-offset.html#oldcode12 third_party/WebKit/LayoutTests/css3/motion-path/use-count-offset.html:12: var CSSMotionInEffect = 1616; // From UseCounter.h On 2017/04/19 ...
1 week, 3 days ago (2017-04-19 03:53:28 UTC) #10
Bugs Nash
On 2017/04/19 at 03:50:52, ericwilligers wrote: > On 2017/04/19 03:22:50, Bugs Nash wrote: > > ...
1 week, 3 days ago (2017-04-19 04:04:54 UTC) #11
Eric Willigers
On 2017/04/19 04:04:54, Bugs Nash wrote: > On 2017/04/19 at 03:50:52, ericwilligers wrote: > > ...
1 week, 3 days ago (2017-04-19 05:10:42 UTC) #14
Bugs Nash
On 2017/04/19 at 05:10:42, ericwilligers wrote: > On 2017/04/19 04:04:54, Bugs Nash wrote: > > ...
1 week, 3 days ago (2017-04-19 05:21:46 UTC) #15
Bugs Nash
On 2017/04/19 at 05:21:46, Bugs Nash wrote: > On 2017/04/19 at 05:10:42, ericwilligers wrote: > ...
1 week, 3 days ago (2017-04-19 05:31:51 UTC) #16
Eric Willigers
1 week, 3 days ago (2017-04-19 05:39:39 UTC) #18
Rick Byers
webexposed LGTM I added a link to the intent to your CL description.
1 week, 3 days ago (2017-04-19 05:58:00 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2828503002/20001
1 week, 3 days ago (2017-04-19 07:06:00 UTC) #25
commit-bot: I haz the power
1 week, 3 days ago (2017-04-19 07:45:57 UTC) #28
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/e2d081bda60e36d5f51c270f809c...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46